com.ihr.xbrl.pojo

## Class XBRLPeriod

- java.lang.Object
- - com.ihr.xbrl.pojo.XBRLPeriod

- All Implemented Interfaces:
    HasId, java.io.Serializable

      public class XBRLPeriod
      extends java.lang.Object
      implements java.io.Serializable, HasId

  The Class XBRLPeriod.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLPeriod()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Date` | `getEnd()` Gets the end.
    `java.lang.Long` | `getId()` Gets the id.
    `java.util.Date` | `getInstant()` Gets the instant.
    `java.util.Date` | `getStart()` Gets the start.
    `int` | `hashCode()` This is the java hashCode method.
    `boolean` | `isForever()` Checks if is forever.
    `void` | `setEnd(java.util.Date end)` Sets the end.
    `void` | `setForever(boolean forever)` Sets the forever.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setInstant(java.util.Date instant)` Sets the instant.
    `void` | `setStart(java.util.Date start)` Sets the start.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLPeriod

          public XBRLPeriod()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Specified by:
        `getId` in interface `HasId`
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Specified by:
        `setId` in interface `HasId`
      Parameters:
        `id` - the id to set

    - #### isForever

          public boolean isForever()

      Checks if is forever.
      Returns:
        the forever

    - #### setForever

          public void setForever(boolean forever)

      Sets the forever.
      Parameters:
        `forever` - the forever to set

    - #### getStart

          public java.util.Date getStart()

      Gets the start.
      Returns:
        the start

    - #### setStart

          public void setStart(java.util.Date start)

      Sets the start.
      Parameters:
        `start` - the start to set

    - #### getEnd

          public java.util.Date getEnd()

      Gets the end.
      Returns:
        the end

    - #### setEnd

          public void setEnd(java.util.Date end)

      Sets the end.
      Parameters:
        `end` - the end to set

    - #### getInstant

          public java.util.Date getInstant()

      Gets the instant.
      Returns:
        the instant

    - #### setInstant

          public void setInstant(java.util.Date instant)

      Sets the instant.
      Parameters:
        `instant` - the instant to set

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash

    - #### hashCode

          public int hashCode()

      This is the java hashCode method.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        int

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`